# MFLTGlyphString Struct Reference
[FLT API]

Type of information about a glyph sequence. More...

## Data Fields

int | glyph_size
MFLTGlyph * | glyphs
int | allocated
int | used
unsigned int | r2l

## Detailed Description

Type of information about a glyph sequence.

The type MFLTGlyphString is the structure that contains information about a sequence of glyphs.

## Field Documentation

int MFLTGlyphString::glyph_size

The actual byte size of elements of the array pointed by the member glyphs. It must be equal to or greater than "sizeof (MFLTGlyph)".

MFLTGlyph* MFLTGlyphString::glyphs

Array of glyphs.

int MFLTGlyphString::allocated

Number of elements allocated in glyphs.

int MFLTGlyphString::used

Number of elements in glyphs in use.

unsigned int MFLTGlyphString::r2l

Flag to tell if the glyphs should be drawn from right-to-left or not.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines